clang 8.0.0

Functions
GenericTaintChecker.cpp File Reference
`#include "clang/StaticAnalyzer/Checkers/BuiltinCheckerRegistration.h"`
`#include "clang/AST/Attr.h"`
`#include "clang/Basic/Builtins.h"`
`#include "clang/StaticAnalyzer/Core/BugReporter/BugType.h"`
`#include "clang/StaticAnalyzer/Core/Checker.h"`
`#include "clang/StaticAnalyzer/Core/CheckerManager.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/CheckerContext.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/ProgramStateTrait.h"`
`#include <climits>`
Include dependency graph for GenericTaintChecker.cpp:

Go to the source code of this file.

## Functions
static bool | getPrintfFormatArgumentNum (const CallExpr *CE, const CheckerContext &C, unsigned int &ArgNum)

## Function Documentation

## ◆ getPrintfFormatArgumentNum()

static bool getPrintfFormatArgumentNum | ( | const CallExpr * | CE,
|  | const CheckerContext & | C,
|  | unsigned int & | ArgNum
| ) |  |
| static

Definition at line 618 of file GenericTaintChecker.cpp.

References clang::CallExpr::getArg(), clang::CallExpr::getNumArgs(), clang::Stmt::getSourceRange(), and clang::Decl::specific_attrs().